Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.meta
Interface MetaDataDefaults

All Superinterfaces:
  CallbackModes

All Known Implementing Classes:
  AbstractMetaDataDefaults, NoneMetaDataFactory, PersistenceMetaDataDefaults

    public interface MetaDataDefaults

extends CallbackModes

Populates new metadata with default values.

Author:
  Abe White

Field Summary

Fields inherited from interface org.apache.openjpa.event.CallbackModes
`CALLBACK_FAIL_FAST, CALLBACK_IGNORE, CALLBACK_LOG, CALLBACK_RETHROW, CALLBACK_ROLLBACK`

Method Summary
`Member` | `getBackingMember(FieldMetaData field)` Return the backing member for the given field metadata.
`int` | `getCallbackMode()` What to do on lifecycle callback exceptions.
`boolean` | `getCallbacksBeforeListeners(int type)` If callbacks are fired before listeners for the given event type.
`int` | `getDefaultAccessType()` Return the default access type for a base persistent class with `ClassMetaData.ACCESS_UNKNOWN` access type.
`int` | `getDefaultIdentityType()` Return the default identity type for unmapped classes without primary key fields.
`Member` | `getMemberByProperty(ClassMetaData meta, String attribute, int access, boolean scanAnnotation)` Get the field or getter for the given attribute of the given class.
`Class` | `getUnimplementedExceptionType()` Return a runtime exception class to throw for un-implemented managed interface methods.
`boolean` | `isAbstractMappingUniDirectional(OpenJPAConfiguration conf)` Whether the relationship in MappedSuper class must be uni-directional.
`boolean` | `isDataStoreObjectIdFieldUnwrapped()` Whether the field in the object id class corresponding to a datastore id persistence-capable primary key field is the simple datastore id value of the related instance.
`boolean` | `isDeclaredInterfacePersistent()` Whether declared interfaces of a class are treated as persistent types.
`boolean` | `isNonDefaultMappingAllowed(OpenJPAConfiguration conf)` Whether non-default mapping is allowed.
`void` | `populate(ClassMetaData meta, int access)` Populate the given metadata with default settings.
`void` | `populate(ClassMetaData meta, int access, boolean ignoreTransient)` Populate the given metadata with default settings.
`void` | `setIgnoreNonPersistent(boolean ignore)` Whether to ignore members which are not persistent by default during metadata population.

Method Detail

### getDefaultAccessType

    int getDefaultAccessType()

  Return the default access type for a base persistent class with `ClassMetaData.ACCESS_UNKNOWN` access type.

### getDefaultIdentityType

    int getDefaultIdentityType()

  Return the default identity type for unmapped classes without primary key fields.

### getCallbackMode

    int getCallbackMode()

  What to do on lifecycle callback exceptions.

### getCallbacksBeforeListeners

    boolean getCallbacksBeforeListeners(int type)

  If callbacks are fired before listeners for the given event type. Defaults to false.

### isDeclaredInterfacePersistent

    boolean isDeclaredInterfacePersistent()

  Whether declared interfaces of a class are treated as persistent types. Defaults to true.

### isDataStoreObjectIdFieldUnwrapped

    boolean isDataStoreObjectIdFieldUnwrapped()

  Whether the field in the object id class corresponding to a datastore id persistence-capable primary key field is the simple datastore id value of the related instance. Defaults to false.

### setIgnoreNonPersistent

    void setIgnoreNonPersistent(boolean ignore)

  Whether to ignore members which are not persistent by default during metadata population. Defaults to true.

### populate

    void populate(ClassMetaData meta,
                  int access)

  Populate the given metadata with default settings.

  Parameters:
    `access` - access type constant from `ClassMetaData`

### populate

    void populate(ClassMetaData meta,
                  int access,
                  boolean ignoreTransient)

  Populate the given metadata with default settings.

  Parameters:
    `access` - access type constant from `ClassMetaData`

### getBackingMember

    Member getBackingMember(FieldMetaData field)

  Return the backing member for the given field metadata.

### getMemberByProperty

    Member getMemberByProperty(ClassMetaData meta,
                               String attribute,
                               int access,
                               boolean scanAnnotation)

  Get the field or getter for the given attribute of the given class.

  Parameters:
    `meta` - is the declaring class
    `attribute` - name of the logical attribute
    `access` - whether to look for the field of getter method. If unknown, then field or property is chosen based on the access type used by the given class.
    `scanAnnotation` - if true and access is unknown then scans the annotation on the member to determine access.
  Since:
    2.0.0

### getUnimplementedExceptionType

    Class getUnimplementedExceptionType()

  Return a runtime exception class to throw for un-implemented managed interface methods.

### isAbstractMappingUniDirectional

    boolean isAbstractMappingUniDirectional(OpenJPAConfiguration conf)

  Whether the relationship in MappedSuper class must be uni-directional.

  Since:
    2.0.0

### isNonDefaultMappingAllowed

    boolean isNonDefaultMappingAllowed(OpenJPAConfiguration conf)

  Whether non-default mapping is allowed.

  Since:
    2.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.